<?php
require '../vendor/autoload.php';
include ("../db.php");
include ("../class.php");

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

$website = new website($mysqli);
$email_settings = $website->getSql("email_settings", 1);

if ($email_settings['phpmailer'] == 'on') {

    $today = time();

    $p_sql = $website->selectExpired();

    if (mysqli_num_rows($p_sql) > 0) {

        $destinatarios = array();
        $e_body = $text93;


        include ("../includes/email_featured_completed.php");

        while ($row = mysqli_fetch_array($p_sql)) {
            $destinatarios[] = array(
                'name' => $row["name"],
                'email' => $row["email"],
                'id_payment' => $row["id_payment"],

            );
        }



        //Create an instance; passing `true` enables exceptions
        $mail = new PHPMailer(true);
        $mail->isSMTP();
        $mail->CharSet = 'UTF-8';
        $mail->Encoding = 'quoted-printable';
        $mail->Host = $email_settings['host'];
        $mail->SMTPAuth = ($email_settings['smtp_auth'] == 'on') ? true : false;
        $mail->Username = $email_settings['username'];
        $mail->Password = $email_settings['password'];
        $mail->SMTPSecure = $email_settings['encrypt'];
        ;
        $mail->Port = $email_settings['port'];

        foreach ($destinatarios as $destinatario) {
            try {
                $mail->setFrom($email_settings['mail'], str_replace('%', $destinatario['name'], $text92));
                $mail->addReplyTo($email_settings['mail'], str_replace('%', $destinatario['name'], $text92));
                $mail->isHTML(true);
                $mail->addAddress($destinatario['email']);
                $mail->Subject = $sitename;
                $mail->Body = $message;
                $mail->AltBody = $message;
                $mail->send();
            } catch (Exception $e) {
                $erro = $mail->ErrorInfo;
            }

            $mail->clearAddresses();
            $mail->clearAttachments();
            $id_payment = $destinatario['id_payment'];
            $email_group = $destinatario['email'];

            $dados_update = array('highlight_completed' => 1);
            $website->sqlUpdate("payments", $dados_update, "id_payment = '$id_payment'");
        }
    }
}

$date_sub = new DateTime();
$date_sub->modify('-2 days');
$date_sub = $date_sub->format('Y-m-d');
$website->deletePaymentsCreated($date_sub);