<?php include('includes/header_group.php');
$platform = platformgroup($datagroup['platform']);
?>
<div class="main-container container">
    <?php include('includes/ads_banner_group.php'); ?>
    <div class="col-auto align-self-center">
        <a href="<?php echo $url; ?>" class="btn btn-link back-btn text-color-theme">
            <i class="bi bi-arrow-left size-20"></i>
            <?php echo $textadmin255; ?>
        </a>
        <small>
            <?php echo $datagroup['views'] . ' ' . $text78; ?>
        </small>
    </div>
    <div class="col-12">
        <div class="card shadow-sm mb-4">
            <div class="pb-0 position-relative">
                <div class="position-absolute top-0 end-0 m-3 z-index-9">
                    <button class="btn btn-sm avatar avatar-30 p-0 rounded-circle btn_share me-2" type="button"
                        data-bs-toggle="collapse" data-bs-target="#collapseExample" aria-expanded="false"
                        aria-controls="collapseExample"> <i class="bi bi-share"></i> </button>
                </div>
                <div class="swiper-container border10">
                    <div class="swiper-wrapper">
                        <div class="swiper-slide text-center mb-0">
                            <?php echo !empty($datagroup['youtube_link']) ? "<div class='play-video' data-bs-toggle='modal'  data-bs-target='#videoModal'><i class='bi bi-play-circle' ></i></div>" : ''; ?>
                            <img src="<?php echo $url . '/uploads/groups/' . $datagroup['image']; ?>"
                                alt="<?php echo $datagroup['name']; ?>"
                                title="<?php echo htmlspecialchars($datagroup['name']); ?>"
                                class="h-190 z-index inherit">
                        </div>
                        <div style="background: url('<?php echo $url . '/uploads/groups/' . $datagroup['image']; ?>')"
                            class="fundo_link"></div>
                    </div>
                </div>
            </div>
            <div class="collapse" id="collapseExample">
                <div class="card-footer justify-content-center text-center">
                    <p class="mb-1 text-opac">
                        <?php echo $text33; ?>
                    </p>
                    <a target="_blank"
                        href="https://twitter.com/share?url=<?php echo 'https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']; ?>"
                        class="btn btn-link text-color-theme"><i class="bi bi-twitter"></i></a> <a target="_blank"
                        href="https://www.facebook.com/sharer/sharer.php?u=<?php echo 'https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']; ?>"
                        class="btn btn-link text-color-theme"><i class="bi bi-facebook"></i></a> <a target="_blank"
                        href="https://wa.me/?text=<?php echo 'https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']; ?>"
                        class="btn btn-link text-color-theme"><i class="bi bi-whatsapp"></i></a>
                </div>
            </div>
        </div>
        <p class="mb-1"> <span class="text-opac"><a class="cat" href="<?php echo categorygrouplink($category_id); ?>">
                    <?php echo categorygroup($category_id); ?>
                </a></span> <img class="logo_platform" src="<?php echo $url . '/uploads/platforms/' . $platform[1]; ?>">
            <small class="text-opac"> <a href="<?php echo $url . '/groups.php?id=' . $datagroup['platform']; ?>">
                    <?php echo $platform[0]; ?>
                </a> </small>
        </p>
        <h4 class="title mb-3">
            <?php echo htmlspecialchars($datagroup['name']); ?>
        </h4>
    </div>
    <div class="row mb-4">
        <div class="col d-grid">
            <button class="btn btn-default button_lemon button_text_color btn-lg shadow-sm">
                <i class="bi bi-person-plus"></i>
                <a target="_blank" class="text-white" href="<?php echo $datagroup['link']; ?>">
                    <?php echo $text43; ?>
                </a>
            </button>
        </div>
        <?php if (pay_active() and boost_active($id) == "nofeat" and $datagroup['featured'] == '0') { ?>
            <div class="col d-grid"> <a class="btn btn-lg btn-theme shadow-sm" data-bs-toggle="modal"
                    data-bs-target="#advertisepay"><i class="bi bi-lightning"></i>
                    <?php echo $text42; ?>
                </a> </div>
        <?php } else { ?>
            <div class="col d-grid"> <a href="<?php echo $url; ?>/submit" class="btn btn-lg btn-theme shadow-sm">
                    <i class="bi bi-plus-circle"></i>
                    <?php echo $text2; ?>
                </a>
            </div>
        <?php } ?>
    </div>
    <div class="row mb-3">
        <div class="col">
            <h5 class="mb-0">
                <?php echo $text34; ?>
            </h5>
        </div>
    </div>
    <div class="row mb-4">
        <div class="col-12">
            <?php echo $datagroup['description']; ?>
        </div>
    </div>
    <div class="row mb-4">
        <div class="col-12">
            <div class="col mb-2">
                <h5 class="mb-0">
                    <?php echo $text37; ?>
                </h5>
            </div>
            <?php
            if (!empty($datagroup['prohibitions'])) {
                $tags = $datagroup['prohibitions'];
                $array = explode(',', $tags);
                foreach ($array as $prohibition) {
                    ?>
                    <li class="prohibitions_list"><i class="bi bi-exclamation-circle-fill"></i>
                        <?php echo htmlspecialchars($prohibition); ?>
                    </li>
                <?php }
            } ?>
            <br>
            <p class="text-opac small">
                <?php echo $text44; ?>
            </p>
        </div>
    </div>
    <?php include('includes/ads_banner_group_bottom.php'); ?>
    <div class="row mb-3">
        <div class="col">
            <h5 class="mb-0">
                <?php echo $text35; ?>
            </h5>
        </div>
    </div>
    <div class="row">
        <div class="col-12 px-0">
            <div class="swiper-container shopslides mb-4">
                <div class="swiper-wrapper">
                    <?php
                    $relatedsql = $mysqli->query("SELECT * FROM `groups`  WHERE `id` != $id AND `category` = $category_id AND `platform` = $platform_id AND  `active`=1 ORDER BY `id` DESC LIMIT 0, 12");
                    while ($relatedrow = mysqli_fetch_array($relatedsql)) {
                        $titlegroup = stripslashes($relatedrow['name']);
                        $groupid = $relatedrow['id'];
                        $linkgroup = !empty($relatedrow['slug']) ? $relatedrow['slug'] : slugify($relatedrow['name']);
                        $platform = platformgroup($relatedrow['platform']);
                        ?>
                        <div class="swiper-slide">
                            <div class="card shadow-sm ">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-auto">
                                            <figure class="text-center mb-0 avatar avatar-60 page-bg rounded"> <img
                                                    src="<?php echo $url; ?>/uploads/groups/<?php echo $relatedrow['image']; ?>" />
                                            </figure>
                                        </div>
                                        <div class="col">
                                            <i class="bi bi-arrow-up-right-circle text-color-theme float-end"></i>
                                            <a href="<?php echo $url . '/group/' . $groupid . '/' . $linkgroup; ?>"
                                                class="text-normal text-color-theme">
                                                <h6 class="popular_title">
                                                    <?php echo htmlspecialchars($relatedrow['name']); ?>
                                                </h6>
                                            </a>
                                            <p class="small d-block">
                                                <span class="text-opac">
                                                    <img class="logo_platform"
                                                        src="<?php echo $url . '/uploads/platforms/' . $platform[1]; ?>">
                                                    <small class="text-opac">
                                                        <?php echo $platform[0]; ?>
                                                    </small>
                                                </span>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                    }
                    $relatedsql->close();

                    ?>
                </div>
            </div>
        </div>
    </div>
    <div class="accordion accordion-flush rounded shadow-sm mb-4">
        <?php
        $page_accordion_sql = $mysqli->query("SELECT * FROM `pages`  WHERE `display_group` = 'on' ORDER BY `id` ASC LIMIT 10");
        while ($accordion = mysqli_fetch_array($page_accordion_sql)) {
            ?>
            <div class="accordion-item">
                <h2 class="accordion-header" id="flush-headingOne">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                        data-bs-target="#<?php echo "accordion_" . $accordion['id']; ?>" aria-expanded="true"
                        aria-controls="flush-collapseOne">
                        <?php echo $accordion['title']; ?>
                    </button>
                </h2>
                <div id="<?php echo "accordion_" . $accordion['id']; ?>" class="accordion-collapse collapse"
                    aria-labelledby="flush-headingOne" data-bs-parent="#accordionFlushExample">
                    <div class="accordion-body text-opac">
                        <?php echo $accordion['page']; ?>
                    </div>
                </div>
            </div>
        <?php }
        $page_accordion_sql->Close(); ?>
    </div>
</div>
</main>
<?php if (!empty($datagroup['youtube_link'])) { ?>
    <div class="modal fade" id="videoModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="videoModalLabel">
                        <?php echo $datagroup['name']; ?>
                    </h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <iframe width="100%" height="400"
                        src="https://www.youtube.com/embed/<?php echo $datagroup['youtube_link']; ?>" frameborder="0"
                        allowfullscreen></iframe>
                </div>
            </div>
        </div>
    </div>
<?php } ?>
<div class="modal fade" id="advertisepay" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-sm modal-dialog-centered">
        <div class="modal-content product border-0 shadow-sm"> <img
                src="<?php echo $url . '/uploads/groups/' . $datagroup['image']; ?>">
            <div class="modal-body">
                <p class="mb-1">
                    <small class="text-opac">
                        <?php echo htmlspecialchars($datagroup['name']); ?>
                    </small>
                </p>
                <a href="/" class="text-normal">
                    <h6 class="text-color-theme">
                        <?php echo $text38; ?>
                    </h6>
                </a>
                <div class="row">
                    <div class="col">
                        <p class="mb-0">
                            <?php echo $currency . $productPrice; ?><br>
                            <small class="text-opac">
                                <?php echo $text41; ?>
                            </small>
                        </p>
                    </div>
                </div>
            </div>
            <div class="modal-footer justify-content-center">
                <?php if (get_payment("paypal", "active") == 'on') { ?>
                    <div id="paypal-button-container"></div>
                    <div id="bouton-paypal"></div>
                    <hr>
                <?php }
                if (get_payment("stripe", "active") == 'on') { ?>
                    <div id="stripe-button-container">
                        <button class="pay-button button button--full" id="payButton">
                            <div class="spinner hidden" id="spinner"></div>
                            <span id="buttonText">
                                <?php echo $text40; ?> <strong>Stripe</stron>
                            </span>
                        </button>
                        <br>
                        <div id="paymentResponse" class="hidden"></div>
                    </div>
                <?php }
                if (get_payment("mercadopago", "active") == 'on') { ?>
                    <div id="mp-button-container">
                        <button class="pay-button button button--full" id="pay-button-mercado-pago">
                            <div class="spinner hidden" id="spinner-mercado-pago"></div>
                            <span id="buttonText-mercado-pago">
                                <?php echo $text40; ?> <strong>Mercado Pago</strong>
                            </span>
                        </button>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
</div>
<?php include('includes/footer.php'); ?>
<?php if (get_payment("paypal", "active") == 'on') { ?>
    <!-- Paypal JavaScript library -->
    <script src="https://www.paypalobjects.com/api/checkout.js"></script>
    <script>
        paypal.Button.render({
            <?php if ($paypal_sandbox == 1) { ?>
                                               env: 'sandbox', // sandbox | production
            <?php } else { ?>
                                                env: 'production', // sandbox | production
            <?php } ?>
                             commit: true,
            style: {
                label: 'paypal',
                size: 'medium', // small | medium | large | responsive
                shape: 'pill', // pill | rect
                color: 'blue', // gold | blue | silver | black
                label: 'pay',
                layout: 'horizontal'
            },
            payment: function () {
                var CREATE_URL = '<?= $url ?>/vendor/paypal/paypal_create_payment.php?ref=<?= $datagroup['id'] ?>';
                return paypal.request.post(CREATE_URL)
                    .then(function (data) {
                        console.log(data);
                        if (data.success) {
                            return data.paypal_response.id;
                        } else {
                            swal({
                                title: 'Error',
                                text: data.msg,
                                icon: "error"
                            });
                            return false;
                        }
                    });
            },
            onAuthorize: function (data, actions) {
                var EXECUTE_URL = '<?= $url ?>/vendor/paypal/paypal_execute_payment.php';
                var data = {
                    paymentID: data.paymentID,
                    payerID: data.payerID
                };
                return paypal.request.post(EXECUTE_URL, data)
                    .then(function (data) {
                        console.log(data);
                        if (data.success) {
                            window.location.replace("<?= $url ?>/pay.php?code=" + data.paypal_response.id);
                        } else {
                            swal({
                                title: 'Error',
                                text: data.msg,
                                icon: "error"
                            });
                        }
                    });
            },
            onCancel: function (data, actions) {
                swal({
                    title: 'Payment Cancelled',
                    text: 'Você fechou o a janela de pagamento .',
                    icon: "error"
                });
            },
            onError: function (err) {
                swal({
                    title: 'Payment Cancelled',
                    text: 'Ocorreu um erro tente mais tarde.',
                    icon: "error"
                });
            }
        }, '#bouton-paypal');
        $('#meuModal').on('shown.bs.modal', function () {
            $('#meuInput').trigger('focus')
        })
    </script>
    <!-- Paypal JavaScript library -->
<?php }
if (get_payment("stripe", "active") == 'on') { ?>
    <!-- Stripe JavaScript library -->
    <script src="https://js.stripe.com/v3/"></script>
    <script>
        // Set Stripe publishable key to initialize Stripe.js
        const stripe = Stripe('<?php echo STRIPE_PUBLISHABLE_KEY; ?>');
        // Select payment button
        const payBtn = document.querySelector("#payButton");
        // Payment request handler
        payBtn.addEventListener("click", function (evt) {
            setLoading(true);
            createCheckoutSession().then(function (data) {
                if (data.sessionId) {
                    stripe.redirectToCheckout({
                        sessionId: data.sessionId,
                    }).then(handleResult);
                } else {
                    handleResult(data);
                }
            });
        });
        // Create a Checkout Session with the selected product
        const createCheckoutSession = function (stripe) {
            return fetch(
                "<?= $url ?>/includes/payment_stripe_init.php?ref=<?= $datagroup['id'] ?>", { ///Product ID in the database to get the information
                method: "POST",
                headers: {
                    "Content-Type": "application/json",
                },
                body: JSON.stringify({
                    createCheckoutSession: 1,
                }),
            }).then(function (result) {
                return result.json();
            });
        };
        // Handle any errors returned from Checkout
        const handleResult = function (result) {
            if (result.error) {
                showMessage(result.error.message);
            }
            setLoading(false);
        };
        // Show a spinner on payment processing
        function setLoading(isLoading) {
            if (isLoading) {
                // Disable the button and show a spinner
                payBtn.disabled = true;
                document.querySelector("#spinner").classList.remove("hidden");
                document.querySelector("#buttonText").classList.add("hidden");
            } else {
                // Enable the button and hide spinner
                payBtn.disabled = false;
                document.querySelector("#spinner").classList.add("hidden");
                document.querySelector("#buttonText").classList.remove("hidden");
            }
        }
        // Display message
        function showMessage(messageText) {
            const messageContainer = document.querySelector("#paymentResponse");
            messageContainer.classList.remove("hidden");
            messageContainer.textContent = messageText;
            setTimeout(function () {
                messageContainer.classList.add("hidden");
                messageText.textContent = "";
            }, 5000);
        }
    </script>
    <!-- Stripe JavaScript library -->
<?php }
if (get_payment("mercadopago", "active") == 'on') { ?>
    <!-- MP JavaScript library -->
    <script>
        document.getElementById('pay-button-mercado-pago').onclick = function () {
            const payBtnMp = document.querySelector("#pay-button-mercado-pago");
            setLoading(true);
            fetch('<?= $url ?>/includes/mercado_pago_init.php?ref=<?= $datagroup['id'] ?>')
                .then(function (response) {
                    return response.json();
                })
                .then(function (data) {
                    console.log(data);
                    if (data.success === true) {
                        setTimeout(function () {
                            window.location.href = data.url;
                        }, 2000);
                    }
                })
                .catch(function (error) {
                    console.error('Erro ao enviar informações do pagamento para o servidor:', error);
                });
            function setLoading(isLoading) {
                if (isLoading) {
                    // Disable the button and show a spinner
                    payBtnMp.disabled = true;
                    document.querySelector("#spinner-mercado-pago").classList.remove("hidden");
                    document.querySelector("#buttonText-mercado-pago").classList.add("hidden");
                } else {
                    // Enable the button and hide spinner
                    payBtnMp.disabled = false;
                    document.querySelector("#spinner-mercado-pago").classList.add("hidden");
                    document.querySelector("#buttonText-mercado-pago").classList.remove("hidden");
                }
            }
        }
    </script>
    <!-- MP JavaScript library -->
<?php } ?>