<?php
include ("init.php");
//Load Composer's autoloader
require 'vendor/autoload.php';

$UploadDirectory = 'uploads/attachments/';
if (!@file_exists($UploadDirectory)) {
    $response = array('title' => $text110, 'message' => 'Make sure Upload directory exist!', 'type' => 'warning');
    die(json_encode($response));
}

if ($_POST) {

    if (empty($_POST['csrf_token']) or hash_equals($_SESSION['csrf_token'], $_POST['csrf_token']) == FALSE) {
        $response = array('title' => $text110, 'message' => $text162, 'type' => 'warning');
        die(json_encode($response));
    }

    if (empty($_POST['group_id']) or $_POST['group_id'] == 0) {
        $response = array('title' => $text110, 'message' => $text210, 'type' => 'warning');
        die(json_encode($response));
    }

    if ($_FILES['payment_voucher']['size'] < 1) {

        $response = array('title' => $text110, 'message' => $text212, 'type' => 'warning');
        die(json_encode($response));

    }

    if ($_FILES['payment_voucher']['error']) {
        $response = array('title' => $text110, 'message' => die(upload_errors($_FILES['img_group']['error'])), 'type' => 'warning');
        die(json_encode($response));
    }

    $FileName = strtolower($_FILES['payment_voucher']['name']);
    $FileExt = substr($FileName, strrpos($FileName, '.'));
    $FileType = $_FILES['payment_voucher']['type'];
    $FileSize = $_FILES['payment_voucher']["size"];
    $RandNumber = rand(0, 9999999999);



    switch (strtolower($FileType)) {
        case 'image/png':
        case 'image/jpeg':
        case 'application/pdf':
            break;
        default:

            $response = array('title' => $text110, 'message' => $text28, 'type' => 'warning');
            die(json_encode($response));
    }


    $imgname = removeSpecialCharsAndEmojis($FileName);
    $new_name = $imgname . '_' . $RandNumber . $FileExt;


    move_uploaded_file($_FILES['payment_voucher']["tmp_name"], $UploadDirectory . $new_name);



    $group_id = mysqli_real_escape_string($mysqli, $_POST['group_id']);
    $value = get_payment("bank", "advertisevalue");
    $currency = get_payment("bank", "currency");
    $date_deposit = date("Y-m-d H:i:s");
    $expire = time() + (30 * 24 * 60 * 60);
    $payment_id = 'BANKID-' . str_random(25);

    $mysqli->query("INSERT INTO `payments`(`produit`, `payment_id`, `payment_status`, `payment_amount`, `payment_currency`, `payment_date`, `payer_name`, `payer_email`, `hash`, `expire`, `payment_method`, `stripe_checkout_session_id`, `highlight_completed`, `payment_voucher`) VALUES ('$group_id', '$payment_id', 'Pending', '$value', '$currency', '$date_deposit', '$UserName', '$UserEmail', '', '$expire', 'Bank Transfer', '', '0', '$new_name')");



    $response = array('title' => $text111, 'message' => $text211, 'type' => 'success', 'url' => $url . '/my-payments.php');
    die(json_encode($response));

}
?>