<?php
include ("../init.php");
$title = $text123 . ' - ' . $title;
if (isset($_SESSION['username'])) {
    header('Location: ' . $url . '/user/');
    exit();
} else {
    ?>
    <!DOCTYPE html>
    <html lang="<?php echo $langcode; ?>">

    <head>
        <meta charset="UTF-8">
        <title>
            <?php echo $title; ?>
        </title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="shortcut icon" href="<?php echo $url; ?>/uploads/logo/favicon.png">
        <link rel="stylesheet" href="<?php echo $url; ?>/assets/css/style.css">
        <link rel="stylesheet" href="<?php echo $url; ?>/assets/css/sweetalert.css">
        <script src="<?php echo $url; ?>/assets/js/sweetalert.min.js"></script>
        <?php include ("../includes/style_front.php"); ?>
    </head>

    <body class="body_bg">
        <main class="h-100 has-header">
            <header class="container-fluid header">
                <div class="row">
                    <div class="col-auto align-self-center">
                        <div class="col-auto align-self-center">
                            <a href="<?php echo $url; ?>" class="btn btn-link back-btn text-color-theme">
                                <i class="bi bi-arrow-left"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col text-center">
                        <div class="logo-small"> <a href="<?php echo $url; ?>">
                                <img class="logo" src="<?php echo $url; ?>/uploads/logo/logo.png" class="img"> </a>
                        </div>
                    </div>
                </div>
            </header>
            <div class="col-12 mx-auto text-center">
                <div class="row h-100">
                    <div class="col-10 col-sm-8 col-md-6 col-lg-4 col-xl-3 mx-auto align-self-center">
                        <h4 class="text-center mb-4">
                            <?php echo $text123; ?>
                        </h4>
                        <div class="card card-light shadow-sm mb-4">
                            <div class="card-body">

                                <form id="post" action="<?php echo $url; ?>/user/actions/_submit_register.php" method="post"
                                    class=" was-validated">
                                    <div class="form-floating mb-3">
                                        <input type="text" class="form-control" placeholder="<?php echo $text141; ?>"
                                            name="name" id="name">
                                        <label for="name">
                                            <?php echo $text141; ?>
                                        </label>
                                    </div>
                                    <div class="form-floating mb-3">
                                        <input type="text" class="form-control" placeholder="<?php echo $text124; ?>"
                                            name="username">
                                        <label for="username">
                                            <?php echo $text124; ?>
                                        </label>
                                    </div>
                                    <div class="form-floating mb-3">
                                        <input type="email" class="form-control" name="email"
                                            placeholder="<?php echo $text102; ?>">
                                        <label for="email">
                                            <?php echo $text102; ?>
                                        </label>
                                    </div>
                                    <div class="form-floating mb-3">
                                        <input type="password" class="form-control" name="password"
                                            placeholder="<?php echo $text126; ?>">
                                        <label for="password">
                                            <?php echo $text126; ?>
                                        </label>
                                    </div>
                                    <div class="form-floating mb-3">
                                        <input type="password" class="form-control" name="confirmpassword"
                                            placeholder="<?php echo $text131; ?>">
                                        <label for="confirmpassword">
                                            <?php echo $text131; ?>
                                        </label>
                                    </div>
                                    <div class="form-floating mb-3">
                                        <input class="form-check-input" type="checkbox" name="terms_check"
                                            id="flexCheckDefault">
                                        <label class="form-check-label" for="flexCheckDefault">
                                            <?php echo $text139; ?>
                                        </label>
                                    </div>
                                    <div class="form-floating m-12 mb-3 text-center">
                                        <br>
                                        <?php if ($Settings['recaptcha_enable'] == 'on') { ?>
                                            <script src='https://www.google.com/recaptcha/api.js'></script>
                                            <br>
                                            <div class="g-recaptcha"
                                                data-sitekey="<?php echo $Settings['recaptcha_sitekey']; ?>"></div>
                                            <br>
                                        <?php } ?>
                                    </div>
                                    <div class="d-grid">
                                        <button id="submitButton"
                                            class="btn btn-lg btn-default button_lemon button_text_color shadow-sm"
                                            type="submit">
                                            <?php echo $text133; ?>
                                        </button>
                                    </div>

                                </form>
                                <div class="text-center"> <span>
                                        <?php echo $text134; ?> <a class="links_color" href="login.php">
                                            <?php echo $text106; ?>
                                        </a>
                                    </span> </div>
                            </div>
        </main>
        <?php
        include ('includes/submit_js.php');
} ?>
</body>
<script src="<?php echo $url; ?>/assets/vendor/bootstrap-5/js/bootstrap.min.js"></script>

</html>