<?php
include ('init.php');
$UploadDirectory = '../uploads/logo/';

if (!@file_exists($UploadDirectory)) {
    die('<div class="alert alert-danger">Make sure Upload directory exist!</div>');
}

if ($submit_system == "off") {
    die('<script>Swal.fire("' . $textadmin336 . '", "' . $textadmin374 . '", "warning")</script>');
}


if ($_POST) {
    if (!isset($_POST['inputTitle']) || strlen($_POST['inputTitle']) < 1) {
        die('<script>Swal.fire("' . $textadmin335 . '", "' . $textadmin123 . '", "warning")</script>');
    }


    if (!isset($_POST['inputEmail']) || strlen($_POST['inputEmail']) < 1) {
        die('<script>Swal.fire("' . $textadmin335 . '", "' . $textadmin129 . '", "warning")</script>');
    }


    $SiteTitle = mysqli_real_escape_string($mysqli, $_POST['inputTitle']);
    $MetaDescription = mysqli_real_escape_string($mysqli, $_POST['inputDescription']);
    $MetaKeywords = mysqli_real_escape_string($mysqli, $_POST['inputKeywords']);
    $SiteEmail = mysqli_real_escape_string($mysqli, $_POST['inputEmail']);
    $instagramlink = mysqli_real_escape_string($mysqli, $_POST['inputinstagram']);
    $FBPage = mysqli_real_escape_string($mysqli, $_POST['inputFbpage']);
    $TwitterLink = mysqli_real_escape_string($mysqli, $_POST['inputTwitter']);
    $YouTubeLink = mysqli_real_escape_string($mysqli, $_POST['inputYouTube']);

    $date = mysqli_real_escape_string($mysqli, $_POST['date']);
    $recaptcha_sitekey = mysqli_real_escape_string($mysqli, $_POST['recaptcha_sitekey']);
    $recaptcha_secretkey = mysqli_real_escape_string($mysqli, $_POST['recaptcha_secretkey']);
    $googleanalytics_id = mysqli_real_escape_string($mysqli, $_POST['googleanalytics_id']);
    $cookies_link = mysqli_real_escape_string($mysqli, $_POST['cookies_link']);
    $timezone = mysqli_real_escape_string($mysqli, $_POST['timezone']);
    $onesignal_enable = isset($_POST['onesignal_enable']) ? mysqli_real_escape_string($mysqli, $_POST['onesignal_enable']) : 'off';
    $onesignal_appid = mysqli_real_escape_string($mysqli, $_POST['onesignal_appid']);
    $onesignal_apikey = mysqli_real_escape_string($mysqli, $_POST['onesignal_apikey']);
    $Approve = isset($_POST['inputApprove']) ? '1' : '0';
    $recaptcha_enable = isset($_POST['recaptcha_enable']) ? mysqli_real_escape_string($mysqli, $_POST['recaptcha_enable']) : 'off';
    $adultcontent_enable = isset($_POST['adultcontent_enable']) ? mysqli_real_escape_string($mysqli, $_POST['adultcontent_enable']) : 'off';
    $googleanalytics_enable = isset($_POST['googleanalytics_enable']) ? mysqli_real_escape_string($mysqli, $_POST['googleanalytics_enable']) : 'off';
    $rtl = isset($_POST['rtl']) ? mysqli_real_escape_string($mysqli, $_POST['rtl']) : 'off';
    $email_confirmation = isset($_POST['email_confirmation']) ? mysqli_real_escape_string($mysqli, $_POST['email_confirmation']) : 'off';
    $slug_enable = isset($_POST['slug_enable']) ? mysqli_real_escape_string($mysqli, $_POST['slug_enable']) : 'off';
    $preloading_enable = isset($_POST['preloading_enable']) ? mysqli_real_escape_string($mysqli, $_POST['preloading_enable']) : 'off';
    $account_enable = isset($_POST['account_enable']) ? mysqli_real_escape_string($mysqli, $_POST['account_enable']) : 'off';

    if (isset($_FILES['inputfile_favicon'])) {
        if ($_FILES['inputfile_favicon']['error']) {
            die(upload_errors($_FILES['inputfile_favicon']['error']));
        }

        $FileType = $_FILES['inputfile_favicon']['type'];
        $FileSize = $_FILES['inputfile_favicon']["size"];
        $FaviconName = 'favicon.png';
        $FaviconSize = getimagesize($_FILES['inputfile_favicon']["tmp_name"]);

        switch (strtolower($FileType)) {
            case 'image/png':
            case 'image/ico':
                break;
            default:
                die('<script>Swal.fire("' . $textadmin335 . '", "' . $textadmin214 . '", "warning")</script>');
        }

        if (!$FaviconSize[0] < 144 and $FaviconSize[1] > 144) {
            die('<script>Swal.fire("' . $textadmin335 . '", "' . $textadmin213 . '", "warning")</script>');
        }

        if (move_uploaded_file($_FILES['inputfile_favicon']["tmp_name"], $UploadDirectory . $FaviconName)) {
        }
    }


    if (isset($_FILES['inputfile'])) {
        if ($_FILES['inputfile']['error']) {
            die(upload_errors($_FILES['inputfile']['error']));
        }


        $Logo = strtolower($_FILES['inputfile']['name']);
        $ImageExt = substr($Logo, strrpos($Logo, '.'));
        $FileType = $_FILES['inputfile']['type'];
        $FileSize = $_FILES['inputfile']["size"];


        switch (strtolower($FileType)) {
            case 'image/png':
            case 'image/svg':
                break;
            default:
                die('<script>Swal.fire("' . $textadmin335 . '", "' . $text28 . '", "warning")</script>');
        }


        $NewLogoName = 'logo' . $ImageExt;

        if (move_uploaded_file($_FILES['inputfile']["tmp_name"], $UploadDirectory . $NewLogoName)) {


            $mysqli->query("UPDATE `settings` SET `site_title` = '$SiteTitle', `logo` = '$NewLogoName', `meta_keywords` = '$MetaKeywords', `meta_description` = '$MetaDescription', `site_email` = '$SiteEmail', `instagram_link` = '$instagramlink', `fb_page` = '$FBPage', `twitter_link` = '$TwitterLink', `youtube_link` = '$YouTubeLink', `active` = '$Approve', `date` = '$date', `rtl` = '$rtl',`recaptcha_enable`='$recaptcha_enable',`recaptcha_sitekey`='$recaptcha_sitekey',`recaptcha_secretkey`='$recaptcha_secretkey',`googleanalytics_enable`='$googleanalytics_enable',`googleanalytics_id`='$googleanalytics_id',`cookies_link`='$cookies_link',`adultcontent_enable`='$adultcontent_enable',`email_confirmation`='$email_confirmation', `timezone`='$timezone',`slug_enable`='$slug_enable',`preloading_enable`='$preloading_enable',`account_enable`='$account_enable', `onesignal_enable` = '$onesignal_enable', `onesignal_appid` = '$onesignal_appid', `onesignal_apikey` = '$onesignal_apikey' WHERE `id` = 1");
        }
    } else {
        $mysqli->query("UPDATE `settings` SET `site_title` = '$SiteTitle', `meta_keywords` = '$MetaKeywords', `meta_description` = '$MetaDescription', `site_email` = '$SiteEmail', `instagram_link` = '$instagramlink', `fb_page` = '$FBPage', `twitter_link` = '$TwitterLink', `youtube_link` = '$YouTubeLink', `active` = '$Approve', `date` = '$date', `rtl` = '$rtl', `recaptcha_enable`='$recaptcha_enable',`recaptcha_sitekey`='$recaptcha_sitekey',`recaptcha_secretkey`='$recaptcha_secretkey',`googleanalytics_enable`='$googleanalytics_enable',`googleanalytics_id`='$googleanalytics_id',`cookies_link`='$cookies_link',`adultcontent_enable`='$adultcontent_enable',`email_confirmation`='$email_confirmation',`timezone`='$timezone',`slug_enable`='$slug_enable',`preloading_enable`='$preloading_enable',`account_enable`='$account_enable', `onesignal_enable` = '$onesignal_enable', `onesignal_appid` = '$onesignal_appid', `onesignal_apikey` = '$onesignal_apikey' WHERE `id` = 1");
    }
    die('<script>Swal.fire("' . $textadmin334 . '", "' . $textadmin128 . '", "success")</script>');
} else {
    die('<script>Swal.fire("' . $textadmin336 . '", "' . $text30 . '", "error")</script>');
}