document.querySelectorAll('.star-rating input').forEach(input => {
    input.addEventListener('change', function () {
        const rating = this.value;
        const postId = this.closest('.star-rating').getAttribute('data-post-id');
        const xhr = new XMLHttpRequest();
        xhr.open('POST', '../../_save_ratings.php', true);
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
        xhr.onload = function () {
            const response = JSON.parse(this.responseText);
            Swal.fire({
                title: response.title,
                text: response.message,
                icon: response.type,
                confirmButtonText: 'OK'
            });
        };
        xhr.send('rating=' + rating + '&post_id=' + postId);
    });
});
