-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Tempo de geração: 13-Out-2024 às 20:27
-- Versão do servidor: 10.4.27-MariaDB
-- versão do PHP: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Banco de dados: `lemon`
--

-- --------------------------------------------------------

--
-- Estrutura da tabela `advertisements`
--

CREATE TABLE `advertisements` (
  `id` int(11) NOT NULL,
  `ad1` varchar(999) NOT NULL,
  `ad2` varchar(999) NOT NULL,
  `ad3` varchar(999) NOT NULL,
  `ad4` varchar(999) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `advertisements`
--

INSERT INTO `advertisements` (`id`, `ad1`, `ad2`, `ad3`, `ad4`) VALUES
(1, '', '', '', '');

-- --------------------------------------------------------

--
-- Estrutura da tabela `blog`
--

CREATE TABLE `blog` (
  `id_post` int(11) NOT NULL,
  `title` varchar(200) NOT NULL,
  `content` longtext NOT NULL,
  `image` varchar(200) NOT NULL,
  `date` varchar(20) NOT NULL,
  `userid` int(11) NOT NULL,
  `slug` varchar(200) NOT NULL,
  `tags` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estrutura da tabela `categories`
--

CREATE TABLE `categories` (
  `category_id` int(11) NOT NULL,
  `category` varchar(500) NOT NULL,
  `category_description` varchar(999) NOT NULL,
  `image` varchar(500) NOT NULL,
  `slug` varchar(200) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estrutura da tabela `emails`
--

CREATE TABLE `emails` (
  `id_email` int(11) NOT NULL,
  `email` varchar(100) NOT NULL,
  `not_send` int(11) NOT NULL,
  `invalid` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estrutura da tabela `email_settings`
--

CREATE TABLE `email_settings` (
  `id` int(11) NOT NULL,
  `phpmailer` varchar(3) NOT NULL,
  `mail` varchar(500) NOT NULL,
  `host` varchar(500) NOT NULL,
  `password` varchar(100) NOT NULL,
  `port` int(11) NOT NULL,
  `smtp_auth` varchar(3) NOT NULL,
  `username` varchar(500) NOT NULL,
  `encrypt` varchar(3) DEFAULT NULL,
  `limit_email` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `email_settings`
--

INSERT INTO `email_settings` (`id`, `phpmailer`, `mail`, `host`, `password`, `port`, `smtp_auth`, `username`, `encrypt`, `limit_email`) VALUES
(1, 'off', 'test@test.com', 'mail.test.com', '123456', 465, 'on', 'test@test.com', 'tls', 700);

-- --------------------------------------------------------

--
-- Estrutura da tabela `groups`
--

CREATE TABLE `groups` (
  `id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext DEFAULT NULL,
  `category` int(11) NOT NULL,
  `platform` int(11) NOT NULL,
  `image` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `featured` int(11) NOT NULL,
  `date` varchar(100) NOT NULL,
  `active` int(11) NOT NULL,
  `prohibitions` varchar(500) NOT NULL,
  `link` varchar(500) NOT NULL,
  `views` int(11) NOT NULL,
  `email` varchar(100) NOT NULL,
  `confirm_email` varchar(10) NOT NULL,
  `slug` varchar(200) DEFAULT NULL,
  `tags` varchar(100) DEFAULT NULL,
  `youtube_link` varchar(15) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estrutura da tabela `languages`
--

CREATE TABLE `languages` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `file` varchar(100) NOT NULL,
  `main` varchar(4) NOT NULL,
  `meta_tag` varchar(5) NOT NULL,
  `currency_symbol` varchar(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `languages`
--

INSERT INTO `languages` (`id`, `name`, `file`, `main`, `meta_tag`, `currency_symbol`) VALUES
(1, 'English', 'en.php', '1', 'en', '$'),
(2, 'Português', 'br.php', '0', 'pt-BR', 'R$');

-- --------------------------------------------------------

--
-- Estrutura da tabela `newsletter`
--

CREATE TABLE `newsletter` (
  `id_newsletter` int(11) NOT NULL,
  `subject` varchar(200) NOT NULL,
  `message` longtext NOT NULL,
  `total_hour` int(11) NOT NULL,
  `date` varchar(20) NOT NULL,
  `not_sent` int(11) NOT NULL,
  `max_id` int(11) NOT NULL,
  `total_emails` int(11) NOT NULL,
  `max_id_send` int(11) NOT NULL,
  `total_pending` int(11) NOT NULL,
  `completed` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estrutura da tabela `pages`
--

CREATE TABLE `pages` (
  `id` int(11) NOT NULL,
  `page` longtext NOT NULL,
  `title` varchar(100) NOT NULL,
  `display` varchar(3) NOT NULL,
  `display_index` varchar(3) NOT NULL,
  `display_group` varchar(3) NOT NULL,
  `slug` varchar(200) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estrutura da tabela `payments`
--

CREATE TABLE `payments` (
  `id_payment` int(11) NOT NULL,
  `produit` varchar(10) NOT NULL,
  `payment_id` varchar(255) NOT NULL,
  `payment_status` text DEFAULT NULL,
  `payment_amount` text NOT NULL,
  `payment_currency` text NOT NULL,
  `payment_date` datetime NOT NULL,
  `payer_name` varchar(255) DEFAULT NULL,
  `payer_email` text DEFAULT NULL,
  `hash` varchar(225) DEFAULT NULL,
  `expire` varchar(225) DEFAULT NULL,
  `payment_method` varchar(50) DEFAULT NULL,
  `stripe_checkout_session_id` varchar(200) DEFAULT NULL,
  `highlight_completed` int(11) DEFAULT NULL,
  `payment_voucher` varchar(200) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ROW_FORMAT=COMPACT;

-- --------------------------------------------------------

--
-- Estrutura da tabela `payments_settings`
--

CREATE TABLE `payments_settings` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `active` varchar(3) NOT NULL DEFAULT 'off',
  `mode` int(11) NOT NULL DEFAULT 0,
  `client` varchar(300) DEFAULT NULL,
  `secret` varchar(300) NOT NULL,
  `client_sandbox` varchar(300) DEFAULT NULL,
  `secret_sandbox` varchar(300) DEFAULT NULL,
  `advertisevalue` int(11) NOT NULL DEFAULT 10,
  `currency` varchar(10) NOT NULL DEFAULT 'USD'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `payments_settings`
--

INSERT INTO `payments_settings` (`id`, `name`, `active`, `mode`, `client`, `secret`, `client_sandbox`, `secret_sandbox`, `advertisevalue`, `currency`) VALUES
(1, 'paypal', 'off', 1, 'client', 'secret', '123456', '123456', 10, 'BRL'),
(2, 'stripe', 'off', 0, '123456', '123456', '12345s', '1234s', 10, 'BRL'),
(4, 'mercadopago', 'off', 1, '', '123456', '', '', 10, 'BRL'),
(5, 'bank', 'off', 1, 'bank account', 'null', '', '', 10, 'BRL');

-- --------------------------------------------------------

--
-- Estrutura da tabela `platforms`
--

CREATE TABLE `platforms` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `image` varchar(500) NOT NULL,
  `domains` varchar(200) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `platforms`
--

INSERT INTO `platforms` (`id`, `name`, `image`, `domains`) VALUES
(1, 'whatsapp', 'gruposdewhatsapp_4362335344.png', NULL),
(2, 'telegram', 'gruposdetelegram_6680587018.png', NULL),
(4, 'discord', 'gruposdediscord_9831621899.png', NULL);

-- --------------------------------------------------------

--
-- Estrutura da tabela `pwa`
--

CREATE TABLE `pwa` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `short_name` varchar(30) NOT NULL,
  `description_app` varchar(200) NOT NULL,
  `background_color` varchar(10) NOT NULL,
  `theme_color` varchar(10) NOT NULL,
  `pwa_enable` varchar(3) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `pwa`
--

INSERT INTO `pwa` (`id`, `name`, `short_name`, `description_app`, `background_color`, `theme_color`, `pwa_enable`) VALUES
(1, 'Lemon groups', 'lemon groups', 'Directory of whatsapp and telegram groups', '#11ff00', '#3de69d', 'on');

-- --------------------------------------------------------

--
-- Estrutura da tabela `ratings`
--

CREATE TABLE `ratings` (
  `id` int(11) NOT NULL,
  `item` int(11) NOT NULL DEFAULT 0,
  `rating` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `ip_address` varchar(45) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estrutura da tabela `roles`
--

CREATE TABLE `roles` (
  `id_role` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `add_itens` varchar(3) NOT NULL,
  `edit_itens` varchar(3) NOT NULL,
  `delete_itens` varchar(3) NOT NULL,
  `add_categories` varchar(3) NOT NULL,
  `edit_categories` varchar(3) NOT NULL,
  `delete_categories` varchar(3) NOT NULL,
  `add_pages` varchar(3) NOT NULL,
  `edit_pages` varchar(3) NOT NULL,
  `delete_pages` varchar(10) NOT NULL,
  `add_users` varchar(3) NOT NULL,
  `edit_users` varchar(3) NOT NULL,
  `delete_users` varchar(3) NOT NULL,
  `settings` varchar(10) NOT NULL,
  `payments` varchar(3) NOT NULL,
  `add_newsletter` varchar(3) DEFAULT NULL,
  `delete_newsletter` varchar(3) DEFAULT NULL,
  `add_posts` varchar(3) DEFAULT NULL,
  `edit_posts` varchar(3) DEFAULT NULL,
  `delete_posts` varchar(3) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `roles`
--

INSERT INTO `roles` (`id_role`, `name`, `add_itens`, `edit_itens`, `delete_itens`, `add_categories`, `edit_categories`, `delete_categories`, `add_pages`, `edit_pages`, `delete_pages`, `add_users`, `edit_users`, `delete_users`, `settings`, `payments`, `add_newsletter`, `delete_newsletter`, `add_posts`, `edit_posts`, `delete_posts`) VALUES
(1, 'admin', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', 'on', NULL, NULL, NULL),
(2, 'staff', 'on', 'off', 'off', 'off', 'off', 'off', 'off', 'off', 'off', 'off', 'off', 'off', 'off', '', NULL, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Estrutura da tabela `settings`
--

CREATE TABLE `settings` (
  `id` int(11) NOT NULL,
  `site_title` varchar(500) NOT NULL,
  `logo` varchar(500) NOT NULL,
  `meta_keywords` varchar(999) NOT NULL,
  `meta_description` varchar(999) NOT NULL,
  `site_email` varchar(500) NOT NULL,
  `instagram_link` varchar(500) NOT NULL,
  `fb_page` varchar(999) NOT NULL,
  `twitter_link` varchar(999) NOT NULL,
  `youtube_link` varchar(999) NOT NULL,
  `active` int(11) NOT NULL,
  `site_views` int(11) NOT NULL,
  `date` varchar(100) NOT NULL,
  `rtl` varchar(4) NOT NULL,
  `recaptcha_enable` varchar(3) NOT NULL,
  `recaptcha_sitekey` varchar(50) NOT NULL,
  `recaptcha_secretkey` varchar(50) NOT NULL,
  `googleanalytics_enable` varchar(3) NOT NULL,
  `googleanalytics_id` varchar(10) NOT NULL,
  `cookies_link` varchar(200) NOT NULL,
  `adultcontent_enable` varchar(3) NOT NULL,
  `email_confirmation` varchar(3) NOT NULL,
  `tiktok_link` varchar(200) NOT NULL,
  `timezone` varchar(50) NOT NULL,
  `slug_enable` varchar(3) DEFAULT NULL,
  `preloading_enable` varchar(3) DEFAULT NULL,
  `account_enable` varchar(3) DEFAULT NULL,
  `onesignal_enable` varchar(3) DEFAULT 'off',
  `onesignal_appid` varchar(80) DEFAULT NULL,
  `onesignal_apikey` varchar(80) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `settings`
--

INSERT INTO `settings` (`id`, `site_title`, `logo`, `meta_keywords`, `meta_description`, `site_email`, `instagram_link`, `fb_page`, `twitter_link`, `youtube_link`, `active`, `site_views`, `date`, `rtl`, `recaptcha_enable`, `recaptcha_sitekey`, `recaptcha_secretkey`, `googleanalytics_enable`, `googleanalytics_id`, `cookies_link`, `adultcontent_enable`, `email_confirmation`, `tiktok_link`, `timezone`, `slug_enable`, `preloading_enable`, `account_enable`, `onesignal_enable`, `onesignal_appid`, `onesignal_apikey`) VALUES
(1, 'Lemon - Directory of whatsapp and telegram groups', '', 'keywords1,keywords2,keywords3', ' is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s', 'admin@admin.com', 'https://www.lipsum.com/', 'https://www.lipsum.com/', 'https://www.lipsum.com/', 'https://www.lipsum.com/', 0, 0, 'd/m/Y', 'off', 'off', '', '', 'off', '', 'https://example.com/cookies', 'off', 'off', '', 'America/Sao_Paulo', NULL, 'on', 'off', 'off', NULL, NULL);

-- --------------------------------------------------------

--
-- Estrutura da tabela `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `username` varchar(500) NOT NULL,
  `password` varchar(999) NOT NULL,
  `email` varchar(200) NOT NULL,
  `name_user` varchar(100) NOT NULL,
  `image` varchar(500) NOT NULL,
  `type` varchar(50) NOT NULL,
  `code` varchar(14) NOT NULL,
  `incorrect_password` int(11) NOT NULL,
  `login_attempt` int(11) NOT NULL,
  `registered_date` varchar(20) NOT NULL,
  `date_att` varchar(30) NOT NULL,
  `confirm_email` int(11) DEFAULT NULL,
  `confirm_email_code` varchar(15) DEFAULT NULL,
  `session_code` varchar(20) DEFAULT NULL,
  `status` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `users`
--

INSERT INTO `users` (`id`, `username`, `password`, `email`, `name_user`, `image`, `type`, `code`, `incorrect_password`, `login_attempt`, `registered_date`, `date_att`, `confirm_email`, `confirm_email_code`, `session_code`, `status`) VALUES
(1, 'admin', '7488e331b8b64e5794da3fa4eb10ad5d', 'admin@test.com', 'administrator', '', 'admin', '0', 0, 0, '', '2023-08-05 01:15:51', NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Estrutura da tabela `views`
--

CREATE TABLE `views` (
  `id` int(11) NOT NULL,
  `site_views` int(11) NOT NULL,
  `date` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `views`
--

INSERT INTO `views` (`id`, `site_views`, `date`) VALUES
(1, 15, '11/08/2023'),
(2, 4, '20/08/2023'),
(3, 25, '21/08/2023'),
(4, 7, '25/08/2023'),
(5, 11, '29/08/2023'),
(6, 5, '30/09/2023'),
(7, 25, '29/09/2023'),
(8, 1, '03/10/2023'),
(9, 7, '05/11/2023'),
(10, 12, '20/11/2023'),
(11, 20, '21/11/2023'),
(12, 2, '16/12/2023'),
(13, 3, '03/01/2024'),
(14, 16, '01/02/2024'),
(15, 25, '02/02/2024'),
(16, 3, '24/02/2024'),
(17, 4, '09/04/2024'),
(18, 1, '12/10/2024');

-- --------------------------------------------------------

--
-- Estrutura da tabela `visual_config`
--

CREATE TABLE `visual_config` (
  `id` int(11) NOT NULL,
  `color_sidebar_front_a` varchar(10) NOT NULL,
  `color_sidebar_front_b` varchar(10) NOT NULL,
  `color_text_sidebar_front` varchar(10) NOT NULL,
  `color_button_front` varchar(10) NOT NULL,
  `color_text_button_front` varchar(10) NOT NULL,
  `meta_theme_color` varchar(10) NOT NULL,
  `background_image_front` varchar(200) NOT NULL,
  `background_sidebar_admin` varchar(10) NOT NULL,
  `text_sidebar_admin` varchar(10) NOT NULL,
  `icon_color_sidebar_admin` varchar(10) NOT NULL,
  `background_color_front` varchar(10) NOT NULL,
  `background_color_admin` varchar(10) NOT NULL,
  `background_image_front_size` varchar(50) NOT NULL,
  `background_image_front_check` varchar(50) NOT NULL,
  `groups_color_titles` varchar(10) NOT NULL,
  `loader_wrap_front` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Extraindo dados da tabela `visual_config`
--

INSERT INTO `visual_config` (`id`, `color_sidebar_front_a`, `color_sidebar_front_b`, `color_text_sidebar_front`, `color_button_front`, `color_text_button_front`, `meta_theme_color`, `background_image_front`, `background_sidebar_admin`, `text_sidebar_admin`, `icon_color_sidebar_admin`, `background_color_front`, `background_color_admin`, `background_image_front_size`, `background_image_front_check`, `groups_color_titles`, `loader_wrap_front`) VALUES
(1, '#ff1492', '#ffa970', '#ffffff', '#ff00a2', '#ffffff', '#26f2b5', 'bg_front.png', '#24f07c', '#ffffff', '#ffffff', '#f5f5f5', '#e8e8e8', 'contain', 'default', '#616161', '#32e290');

--
-- Índices para tabelas despejadas
--

--
-- Índices para tabela `advertisements`
--
ALTER TABLE `advertisements`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `blog`
--
ALTER TABLE `blog`
  ADD PRIMARY KEY (`id_post`);

--
-- Índices para tabela `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`category_id`);

--
-- Índices para tabela `emails`
--
ALTER TABLE `emails`
  ADD PRIMARY KEY (`id_email`);

--
-- Índices para tabela `email_settings`
--
ALTER TABLE `email_settings`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `groups`
--
ALTER TABLE `groups`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `languages`
--
ALTER TABLE `languages`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `newsletter`
--
ALTER TABLE `newsletter`
  ADD PRIMARY KEY (`id_newsletter`);

--
-- Índices para tabela `pages`
--
ALTER TABLE `pages`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `payments`
--
ALTER TABLE `payments`
  ADD PRIMARY KEY (`id_payment`);

--
-- Índices para tabela `payments_settings`
--
ALTER TABLE `payments_settings`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `platforms`
--
ALTER TABLE `platforms`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `pwa`
--
ALTER TABLE `pwa`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `ratings`
--
ALTER TABLE `ratings`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `roles`
--
ALTER TABLE `roles`
  ADD PRIMARY KEY (`id_role`);

--
-- Índices para tabela `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `views`
--
ALTER TABLE `views`
  ADD PRIMARY KEY (`id`);

--
-- Índices para tabela `visual_config`
--
ALTER TABLE `visual_config`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT de tabelas despejadas
--

--
-- AUTO_INCREMENT de tabela `blog`
--
ALTER TABLE `blog`
  MODIFY `id_post` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `categories`
--
ALTER TABLE `categories`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `emails`
--
ALTER TABLE `emails`
  MODIFY `id_email` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `email_settings`
--
ALTER TABLE `email_settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de tabela `groups`
--
ALTER TABLE `groups`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `languages`
--
ALTER TABLE `languages`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT de tabela `newsletter`
--
ALTER TABLE `newsletter`
  MODIFY `id_newsletter` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `pages`
--
ALTER TABLE `pages`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `payments`
--
ALTER TABLE `payments`
  MODIFY `id_payment` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `payments_settings`
--
ALTER TABLE `payments_settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT de tabela `platforms`
--
ALTER TABLE `platforms`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT de tabela `pwa`
--
ALTER TABLE `pwa`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de tabela `ratings`
--
ALTER TABLE `ratings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de tabela `roles`
--
ALTER TABLE `roles`
  MODIFY `id_role` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de tabela `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT de tabela `views`
--
ALTER TABLE `views`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;

--
-- AUTO_INCREMENT de tabela `visual_config`
--
ALTER TABLE `visual_config`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
