<script src="assets/js/core/jquery.min.js"></script>
<script type="text/javascript">
    $(document).ready(function () {

        $('button.btnDelete').on('click', function (e) {
            e.preventDefault();
            var id = $(this).closest('tr').data('id');
            var url = $(this).closest('tr').data('url');
            Swal.fire({
                title: '<?php echo $textadmin338; ?>',
                text: "<?php echo $textadmin339; ?>",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: '<?php echo $textadmin340; ?>'
            }).then((result) => {
                if (result.isConfirmed) {

                    var dataString = 'id=' + id;
                    $('[data-id=' + id + ']').remove();
                    $('#myModal').modal('hide');

                    $.ajax({

                        type: "POST",
                        url: url,
                        data: dataString,
                        cache: false,
                        success: function (html) {
                            $("#output").html(html);
                        }
                    });


                }
            })


        })



        $('button.btnApprove').on('click', function (e) {
            e.preventDefault();
            var id = $(this).closest('button').data('id');
            Swal.fire({
                title: '<?php echo $textadmin338; ?>',
                text: "<?php echo $textadmin341; ?>",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: '<?php echo $textadmin36; ?>'
            }).then((result) => {
                if (result.isConfirmed) {

                    var dataString = 'id=' + id;
                    $('[data-id=' + id + ']').remove();
                    $('#myModal').modal('hide');

                    $.ajax({

                        type: "POST",
                        url: "_approve_post.php",
                        data: dataString,
                        cache: false,
                        success: function (html) {
                            $("#output").html(html);
                        }
                    });


                }
            })
        });


        $('button.btnPaid').on('click', function (e) {
            e.preventDefault();
            var id = $(this).closest('button').data('id');
            Swal.fire({
                title: '<?php echo $textadmin171; ?>',
                text: "<?php echo $textadmin172; ?>",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: '<?php echo $textadmin36; ?>'
            }).then((result) => {
                if (result.isConfirmed) {

                    var dataString = 'id=' + id;
                    $('[data-id=' + id + ']').remove();
                    $('#myModal').modal('hide');

                    $.ajax({

                        type: "POST",
                        url: "_approve_payment.php",
                        data: dataString,
                        cache: false,
                        success: function (html) {
                            $("#output").html(html);
                        }
                    });


                }
            })
        });



        $('button.btnDeleteGroupCheck').on('click', function (e) {
            e.preventDefault();

            var postIds = [];

            $('input[name="item_ids"]:checked').each(function () {
                var postId = $(this).data('id');
                postIds.push(postId);
            });

            Swal.fire({
                title: '<?php echo $textadmin338; ?>',
                text: "<?php echo $textadmin339; ?>",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: '<?php echo $textadmin340; ?>'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#myModal').modal('hide');

                    $.ajax({
                        type: "POST",
                        url: "_delete_check_groups.php",
                        data: {
                            ids: postIds
                        },
                        cache: false,
                        success: function (html) {
                            $("#output").html(html);
                        }
                    });
                }
            });
        });

        $('button.btnDeleteBlogCheck').on('click', function (e) {
            e.preventDefault();

            var postIds = [];

            $('input[name="item_ids"]:checked').each(function () {
                var postId = $(this).data('id');
                postIds.push(postId);
            });

            Swal.fire({
                title: '<?php echo $textadmin338; ?>',
                text: "<?php echo $textadmin339; ?>",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: '<?php echo $textadmin340; ?>'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#myModal').modal('hide');

                    $.ajax({
                        type: "POST",
                        url: "_delete_check_blog.php",
                        data: {
                            ids: postIds
                        },
                        cache: false,
                        success: function (html) {
                            $("#output").html(html);
                        }
                    });
                }
            });
        });



        $('button.btnApproveGroupsCheck').on('click', function (e) {
            e.preventDefault();

            var postIds = [];

            $('input[name="item_ids"]:checked').each(function () {
                var postId = $(this).data('id');
                postIds.push(postId);
            });

            Swal.fire({
                title: '<?php echo $textadmin338; ?>',
                text: "<?php echo $textadmin399; ?>",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: '<?php echo $textadmin36; ?>'
            }).then((result) => {
                if (result.isConfirmed) {
                    $('#myModal').modal('hide');

                    $.ajax({
                        type: "POST",
                        url: "_approve_check_groups.php",
                        data: {
                            ids: postIds
                        },
                        cache: false,
                        success: function (html) {
                            $("#output").html(html);
                        }
                    });
                }
            });
        });

        $('button.btnDeleteBlog').on('click', function (e) {
            e.preventDefault();
            var id = $(this).closest('tr').data('id');
            var url = $(this).closest('tr').data('url');
            Swal.fire({
                title: '<?php echo $textadmin338; ?>',
                text: "<?php echo $textadmin339; ?>",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: '<?php echo $textadmin340; ?>'
            }).then((result) => {
                if (result.isConfirmed) {

                    var dataString = 'id=' + id;
                    $('[data-id=' + id + ']').remove();
                    $('#myModal').modal('hide');

                    $.ajax({

                        type: "POST",
                        url: url,
                        data: dataString,
                        cache: false,
                        success: function (html) {
                            $("#output").html(html);
                        }
                    });


                }
            })


        })

    });
</script>