<?php
include ("../init.php");
$title = $text1 . ' - ' . $title;
if (isset($_SESSION['username'])) {
    header('Location: ' . $url . '/my-links.php');
    exit();
} else { ?>
    <!DOCTYPE html>
    <html lang="<?php echo $langcode; ?>">

    <head>
        <meta charset="UTF-8">
        <title>
            <?php echo $title; ?>
        </title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="<?php echo $url; ?>/assets/css/style.css">
        <link rel="shortcut icon" href="<?php echo $url; ?>/uploads/logo/favicon.png">
        <?php include ("../includes/style_front.php"); ?>
        <link rel="stylesheet" href="<?php echo $url; ?>/assets/css/sweetalert.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
        <script src="<?php echo $url; ?>/assets/js/sweetalert.min.js"></script>
    </head>

    <body class="body_bg">
        <main class="h-100 has-header">
            <header class="container-fluid header">
                <div class="row">
                    <div class="col-auto align-self-center">
                        <div class="col-auto align-self-center">
                            <a href="<?php echo $url; ?>" class="btn btn-link back-btn text-color-theme">
                                <i class="bi bi-arrow-left"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col text-center">
                        <div class="logo-small"> <a href="<?php echo $url; ?>">
                                <img class="logo" src="<?php echo $url; ?>/uploads/logo/logo.png" class="img"> </a>
                        </div>
                    </div>
                </div>
            </header>
            <div class="row h-100">
                <div class="col-12 mx-auto text-center">
                    <div class="row h-100">
                        <div class="col-10 col-sm-8 col-md-6 col-lg-4 col-xl-3 mx-auto align-self-center">
                            <h4 class="text-center mb-4">
                                <?php echo $text106; ?>
                            </h4>
                            <div class="card card-light shadow-sm mb-4">
                                <div class="card-body">
                                    <form id="post" action="<?php echo $url; ?>/user/actions/_submit_login.php"
                                        method="post" class=" was-validated">
                                        <div class="form-floating mb-3">
                                            <input type="email" class="form-control" id="emailaddress"
                                                placeholder="<?php echo $text103; ?>" name="email">
                                            <label for="emailaddress">
                                                <?php echo $text102; ?>
                                            </label>
                                        </div>
                                        <div class="form-floating mb-3">
                                            <input type="password" class="form-control" name="password" id="password"
                                                placeholder="<?php echo $text105; ?>">
                                            <label for="password">
                                                <?php echo $text104; ?>
                                            </label>
                                        </div>

                                        <div class="d-grid">
                                            <a href="<?php echo $url; ?>/user/recover.php" class="link mb-3">
                                                <?php echo $text101; ?>
                                            </a>
                                        </div>

                                        <?php if ($Settings['recaptcha_enable'] == 'on') { ?>
                                            <div class="form-floating mb-3 m-12 text-center">
                                                <script src='https://www.google.com/recaptcha/api.js'></script>
                                                <div class="g-recaptcha"
                                                    data-sitekey="<?php echo $Settings['recaptcha_sitekey']; ?>"></div>
                                                <br>
                                            </div>
                                        <?php } ?>

                                        <div class="d-grid">
                                            <button type="submit" id="submitButton"
                                                class="btn btn-lg btn-default button_lemon button_text_color shadow-sm">
                                                <?php echo $text106; ?>
                                            </button>
                                        </div>
                                </div>
                                </form>
                            </div>
                            <div class="text-center">
                                <span>
                                    <?php echo $text99; ?>
                                </span>
                                <p>
                                    <a class="links_color" href="<?php echo $url; ?>/user/register.php">
                                        <?php echo $text100; ?>
                                    </a>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>
        <?php
        include ('includes/submit_js.php');
} ?>
    <script src="<?php echo $url; ?>/assets/vendor/bootstrap-5/js/bootstrap.min.js"></script>
</body>

</html>